Field.Store (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.document, class: Field, enum: Store

Package org.apache.lucene.document

# Enum Class Field.Store

java.lang.Object
java.lang.Enum<Field.Store>
org.apache.lucene.document.Field.Store

All Implemented Interfaces:
  `Serializable`, `Comparable<Field.Store>`, `Constable`

Enclosing class:
  `Field`

public static enum Field.Store extends Enum<Field.Store>
Specifies whether and how a field should be stored.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO`
  Do not store the field value in the index.
  `YES`
  Store the original field value in the index.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Field.Store`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Field.Store[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### YES

    public static final Field.Store YES
    Store the original field value in the index. This is useful for short texts like a document's title which should be displayed with the results. The value is stored in its original form, i.e. no analyzer is used before it is stored.

  - ### NO

    public static final Field.Store NO
    Do not store the field value in the index.

- ## Method Details

  - ### values

    public static Field.Store[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Field.Store valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null